Skip to content
Navigation

Update startup public content

PUT
https://api.sureshake.com/v2/startups/{id}/public-content

Path parameters

  • id
    string
    required
    format: uuid

Request body JSON required

  • activeSeasonId
    string
    or null
    required
    format: uuid
  • initiativeIds
    array of
    string
    required
    format: uuid
  • outcomeIds
    array of
    string
    required
    format: uuid
  • reportIds
    array of
    string
    required
    format: uuid
  • artifactIds
    array of
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • selection
      object
      required
      • activeSeasonId
        string
        or null
        required
        format: uuid
      • initiativeIds
        array of
        string
        required
        format: uuid
      • outcomeIds
        array of
        string
        required
        format: uuid
      • reportIds
        array of
        string
        required
        format: uuid
      • artifactIds
        array of
        string
        required
        format: uuid
    • candidates
      array of
      required

      Any of the following:

      • object
        • id
          string
          required
          format: uuid
        • title
          string
          required
          minLength: 1
        • summary
          string
          or null
          required
        • status
          string
          required
          minLength: 1
        • occurredAt
          string
          required
          format: date-time
        • type
          season
          required
        • selected
          boolean
          required
      • object
        • id
          string
          required
          format: uuid
        • title
          string
          required
          minLength: 1
        • summary
          string
          or null
          required
        • status
          string
          required
          minLength: 1
        • occurredAt
          string
          required
          format: date-time
        • type
          initiative
          required
        • selected
          boolean
          required
      • object
        • id
          string
          required
          format: uuid
        • title
          string
          required
          minLength: 1
        • summary
          string
          or null
          required
        • status
          string
          required
          minLength: 1
        • occurredAt
          string
          required
          format: date-time
        • type
          outcome
          required
        • selected
          boolean
          required
      • object
        • id
          string
          required
          format: uuid
        • title
          string
          required
          minLength: 1
        • summary
          string
          or null
          required
        • status
          string
          required
          minLength: 1
        • occurredAt
          string
          required
          format: date-time
        • type
          report
          required
        • selected
          boolean
          required
      • object
        • id
          string
          required
          format: uuid
        • title
          string
          required
          minLength: 1
        • summary
          string
          or null
          required
        • status
          string
          required
          minLength: 1
        • occurredAt
          string
          required
          format: date-time
        • type
          artifact
          required
        • selected
          boolean
          required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close